- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Friends | List of all members
tbb::flow::interface7::function_node< Input, Output, graph_buffer_policy, Allocator > Class Template Reference

Implements a function node that supports Input -> Output. More...

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface7::function_node< Input, Output, graph_buffer_policy, Allocator >:

## Public Types
typedef Input | input_type
typedef Output | output_type
typedef sender< input_type > | predecessor_type
typedef receiver< output_type > | successor_type
typedef internal::function_input < input_type, output_type, Allocator > | fInput_type
typedef internal::function_output < output_type > | fOutput_type

## Public Member Functions
template<typename Body >
| function_node (graph &g, size_t concurrency, Body body)
| Constructor.
| function_node (const function_node &src)
| Copy constructor.
void | set_name (const char *name)
Public Member Functions inherited from tbb::flow::interface7::graph_node
| graph_node (graph &g)
virtual void | extract (reset_flags f=rf_extract)

## Protected Member Functions
void | reset (__TBB_PFG_RESET_ARG(reset_flags f))
internal::broadcast_cache < output_type > & | successors ()
Protected Member Functions inherited from tbb::flow::interface7::graph_node
virtual void | reset (__TBB_PFG_RESET_ARG(reset_flags f=rf_reset_protocol))=0

## Friends
template<typename R , typename B >
class | run_and_put_task
template<typename X , typename Y >
class | internal::broadcast_cache
template<typename X , typename Y >
class | internal::round_robin_cache

## Additional Inherited Members
Protected Attributes inherited from tbb::flow::interface7::graph_node
graph & | my_graph
graph_node * | next
graph_node * | prev

## Detailed Description

### template<typename Input, typename Output = continue_msg, graph_buffer_policy = queueing, typename Allocator = cache_aligned_allocator<Input>>
class tbb::flow::interface7::function_node< Input, Output, graph_buffer_policy, Allocator >

Implements a function node that supports Input -> Output.

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2014 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.